unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Timer1: TTimer;
    OpenDialog1: TOpenDialog;
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
var nSize:Int64;
    sFile:TFileName;
procedure TForm1.Timer1Timer(Sender: TObject);
 var s:TStream;
begin
 try
 try
 s:= TFileStream.Create(sFile,fmShareDenyNone);
 If s.Size<>nSize then
 begin
  Memo1.Lines.LoadFromStream(s);
  SendMessage(Memo1.Handle, EM_LINESCROLL, 0, Memo1.Lines.Count-1);
  nSize:=s.Size;
 end;
 except
  Application.Terminate;
 end;
 finally
  s.Free;
 end;

end;

procedure TForm1.FormShow(Sender: TObject);
begin
 If OpenDialog1.Execute then
 begin
  sFile:=OpenDialog1.FileName;
  Caption:=Caption+' - '+ExtractFileName(OpenDialog1.FileName);
  Timer1.Enabled:=true;
 end
 else
  Application.Terminate;
end;

end.
